Bug 477944 - Fails to start without an smb.conf
Fails to start without an smb.conf
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-samba (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-25 23:29 EST by Arthur Pemberton
Modified: 2009-06-22 09:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-22 09:44:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arthur Pemberton 2008-12-25 23:29:43 EST
Description of problem:
In the even there is no /etc/samba/smb.conf, an unhandled exception is raised saying that there is no permission to run pdbedit

How reproducible:
100% if there is no /etc/samba/smb.conf

Steps to Reproduce:
1. Remove /etc/samba/smb.conf
2. Start system-config-samba
  
Actual results:
Program fails to start, if there run from a terminal, exception can be seen.

Expected results:
A new smb.conf should be generated, or a dialog with a more appropriate error should be thrown.
Comment 1 Arthur Pemberton 2009-05-04 02:29:58 EDT
There have been no responses to this issue. I understand that this may be considered a corner case, but the config tool should at least alert the user of why it can't run successfully. Is there anything I can do to help with this issue?
Comment 2 Nils Philippsen 2009-05-28 04:43:00 EDT
Sorry, this somehow went under my radar. I've verified the problem and this really should be fixed -- s-c-samba contains a template smb.conf which it should use in such cases.
Comment 3 Nils Philippsen 2009-05-28 05:38:50 EDT
fixed in upstream git repository
Comment 4 Fedora Update System 2009-05-28 05:58:47 EDT
system-config-samba-1.2.76-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/system-config-samba-1.2.76-1.fc9
Comment 5 Fedora Update System 2009-05-28 05:59:09 EDT
system-config-samba-1.2.76-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/system-config-samba-1.2.76-1.fc10
Comment 6 Fedora Update System 2009-05-28 05:59:30 EDT
system-config-samba-1.2.76-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/system-config-samba-1.2.76-1.fc11
Comment 7 Fedora Update System 2009-05-29 22:39:12 EDT
system-config-samba-1.2.76-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update system-config-samba'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-5706
Comment 8 Arthur Pemberton 2009-05-30 22:16:05 EDT
Tested system-config-samba.noarch 1.2.67-3.fc10 with no /etc/samba/smb.conf, crash was as expected.

Updated to system-config-samba.noarch 0:1.2.76-1.fc10 and GUI was able to load, and fixed the problem of missing /etc/samba/smb.conf

Issues resolved.
Comment 9 Fedora Update System 2009-06-15 21:53:41 EDT
system-config-samba-1.2.76-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-06-15 22:10:31 EDT
system-config-samba-1.2.76-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Arthur Pemberton 2009-06-22 00:15:03 EDT
I think it's safe to close this

Note You need to log in before you can comment on or make changes to this bug.